# Uses of Class
it.tdlight.jni.TdApi.NotificationType

## Uses of TdApi.NotificationType in it.tdlight.jni

Subclasses of TdApi.NotificationType in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.NotificationTypeNewCall`
New call was received.
`static final class`
`TdApi.NotificationTypeNewMessage`
New message was received.
`static final class`
`TdApi.NotificationTypeNewPushMessage`
New message was received through a push notification.
`static final class`
`TdApi.NotificationTypeNewSecretChat`
New secret chat was created.
Fields in it.tdlight.jni declared as TdApi.NotificationType
Modifier and Type
Field
Description
`TdApi.NotificationType`
TdApi.Notification.`type`
Notification type.
Constructors in it.tdlight.jni with parameters of type TdApi.NotificationType
Modifier
Constructor
Description
``
`Notification(int id, int date, boolean isSilent, TdApi.NotificationType type)`
Contains information about a notification.